Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.common.persistence
Class AbstractTxtSolutionExporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionExporter
              org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter

Direct Known Subclasses:
  CurriculumCourseSolutionExporter, ExaminationSolutionExporter, MachineReassignmentSolutionExporter, PatientAdmissionScheduleSolutionExporter, TravelingTournamentSolutionExporter

    public abstract class AbstractTxtSolutionExporter

extends AbstractSolutionExporter

Nested Class Summary
`class` | `AbstractTxtSolutionExporter.TxtOutputBuilder`

Field Summary
`protected static String` | `DEFAULT_OUTPUT_FILE_SUFFIX`

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`protected` | `AbstractTxtSolutionExporter(SolutionDao solutionDao)`

Method Summary
`abstract AbstractTxtSolutionExporter.TxtOutputBuilder` | `createTxtOutputBuilder()`
`protected String` | `getOutputFileSuffix()`
`void` | `writeSolution(Solution solution, File outputFile)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`convertAll, getInputDir, getInputFileSuffix, getOutputDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_OUTPUT_FILE_SUFFIX

    protected static final String DEFAULT_OUTPUT_FILE_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### AbstractTxtSolutionExporter

    protected AbstractTxtSolutionExporter(SolutionDao solutionDao)

Method Detail

### getOutputFileSuffix

    protected String getOutputFileSuffix()

  Specified by:
    `getOutputFileSuffix` in class `AbstractSolutionExporter`

### createTxtOutputBuilder

    public abstract AbstractTxtSolutionExporter.TxtOutputBuilder createTxtOutputBuilder()

### writeSolution

    public void writeSolution(Solution solution,
                              File outputFile)

  Specified by:
    `writeSolution` in class `AbstractSolutionExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.